# -*- coding: utf-8 -*-
from django.db import models
from django.conf import settings
from django.utils.translation import ugettext as _
from django.conf import settings

from cms.models.pluginmodel import CMSPlugin
from jmb.core.db.fields import HTMLFieldTinyMCE

from jmb.core.db.cmsmodels import StatusModel


class SimulatorePTFSettings(CMSPlugin, StatusModel):
    template_name = models.CharField(
        _("Template"),
        max_length=100,
        choices=settings.SIMULATORE_PTF_CMSPLUGIN_TEMPLATES,
        default="bootstrap3/simulatore_ptf/cms_plugins/simulatore_ptf.html"
    )
    title = models.CharField(
        _("Titolo"),
        max_length=255,
        blank=True, null=True,
    )
    introduzione_app = HTMLFieldTinyMCE(
        _("Introduzione"),
        blank=True, null=True,
    )
    typology = models.CharField(
        _('Tipologia'),
        default='portafoglio',
        max_length=255,
        choices=settings.SIMULATORE_PTF_TYPOLOGY_CHOICES
    )
    optional_type = models.CharField(
        _("Tipologia dell'optional"),
        max_length=255,
        choices=settings.SIMULATORE_PTF_OPTIONAL_TYPE,
        default='CARDIE'
    )

    def __unicode__(self):
        return u"{} {}".format(
            ('On - ' if self.status else 'Off - '),
            self.template_name
        )

    class Meta:
        app_label = "simulatoreptf"


class SharingPTFSettings(CMSPlugin, StatusModel):
    redirect_to = models.SlugField(
        _("Redirect to"),
        max_length=100,
        help_text=_("slug of page which contains Simulatore PTF Plugin")
    )

    def __unicode__(self):
        return u"{}".format(self.redirect_to)

    class Meta:
        app_label = "simulatoreptf"